<?php
/**
 * Help Logic
 * @package     Help
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Help_Logic
{
    /**
     * ヘルプページリスト
     * @var array
     */
    private $pages = array(
        'index.html',
        // ガイド
        'start_page.html',
        // リファレンス
        'create_template.html',
        'r_metag_reference.html',
        'r_attr.html',
        'r_date.html',
        'r_delete.html',
        'r_display.html',
        'r_img.html',
        'r_include.html',
        'r_module.html',
        'r_reference_feature.html',
        'r_repeat.html',
        'r_rich.html',
        'r_reserved_id.html',
        'r_source.html',
        'r_text.html',
        'r_textarea.html',
        // 画面リファレンス
        'screen.html',
        's_main_index.html',
        's_template_edit.html',
        's_page_edit.html',
        's_system_index.html',
        's_user_index.html',
        's_user_edit.html',
        's_user_delete.html',
        's_system_edit_config.html',
        's_page_sync_file.html',
        's_license_index.html',
        's_license_edit.html',
    );

    /**
     * コンストラクタ
     */
    public function __construct()
    {

    }

    /**
     * ヘルプページの存在確認
     * @param string $page
     * @return string
     */
    public function exist_page($page)
    {
        $result = array_search($page, $this->pages);
        if ($result !== false) {
            return $this->pages[$result];
        } else {
            throw new Me_Exception(7);
        }
    }
}